<script setup>
import { getCurrentInstance, provide } from "vue";
import IndexView from './views/IndexView.vue'
import LoginView from './views/login/LoginView.vue'
import { globalState } from './config.js'
import zh_CN from 'ant-design-vue/es/locale/zh_CN';
import zh_HK from 'ant-design-vue/es/locale/zh_CN';
import en_US from 'ant-design-vue/es/locale/en_US';
import es_ES from 'ant-design-vue/es/locale/es_ES';
import ar_EG from 'ant-design-vue/es/locale/ar_EG';
import de_DE from 'ant-design-vue/es/locale/de_DE';
import fr_FR from 'ant-design-vue/es/locale/fr_FR';
import ru_RU from 'ant-design-vue/es/locale/ru_RU';
import ko_KR from 'ant-design-vue/es/locale/ko_KR';
// import dayjs from 'dayjs';
// import 'dayjs/locale/zh-cn';
// import 'dayjs/locale/zh-hk';
// import 'dayjs/locale/es';
// dayjs.locale('zh-cn');
const context = getCurrentInstance()?.appContext.config.globalProperties;
provide('globalState', globalState);

const localeType = {
  zh_CN,
  zh_HK,
  en_US,
  es_ES,
  ar_EG,
  de_DE,
  fr_FR,
  ru_RU,
  ko_KR,
};

console.log('%c 中扬立库平台 %c 1.0.0','background-color:rgb(53,73,94);color: #fff;border-radius:2px 0 0 2px;padding:2px 4px;','background-color:rgb(25,190,107);color: #fff;border-radius:0 2px 2px 0;padding:2px 4px;font: 9pt "Apercu Regular", Georgia, "Times New Roman", Times, serif;')
</script>

<template>
  <a-config-provider :locale="localeType[globalState.locale]">
    <div v-if="globalState.token == '' || globalState.token == null">
      <LoginView />
      {{ context.$config }}
    </div>
    <div v-else>
      <IndexView />
      {{ context.$config }}
    </div>
  </a-config-provider>
</template>

<style scoped></style>
